Details
Purpose
Delivers detailed information for a location.
Run this endpoint
You can easily run this and other endpoints. Go to the TomTom API Explorer page and follow the directions.
Request data
HTTPS Method: GET
For ease of viewing and identification:
- Constants and parameters enclosed in curly brackets { } must be replaced with their values.
- Please see the following Request parameters section with the required and optional parameters tables for their values. The generic request format is as follows.
https://{baseURL}/maps/orbis/places/details/{type}/{id}?origin={origin}&geopoliticalView={geopoliticalView}
https://api.tomtom.com/maps/orbis/places/details/pois/qv3FAP2e0GnYgS-KeAgciA
1curl 'https://api.tomtom.com/maps/orbis/places/details/pois/qv3FAP2e0GnYgS-KeAgciA' \2 -H 'TomTom-Api-Key: {Your_API_Key}' \3 -H 'TomTom-Api-Version: 3' \4 -H 'Attributes: id,type,title,subtitles,position,address,additionalDetails.tripAdvisor,chargingLocation,contacts'
Request parameters
The following table describes the parameters that can be used in a request.
- Required parameters must be used or the call will fail.
- Optional parameters may be used.
- If there is a default value that will be assumed when an optional parameter is not used, it is shown in the table.
- The order of request parameters is not important.
Required parameters | Description |
|---|---|
| Base URL for calling the API.
|
| The type of result to retrieve details for. |
| The unique identifier of the result to retrieve details for. This may be the be an identifier exposed by other services serving map data from the same sources consumed by TomTom search. |
| An API Key valid for the requested service. See: How do I get a TomTom API Key? |
| Version of the API. The API version MUST be specified in all requests. |
| A comma-separated list of response attributes to return. Nested attributes are specified in dot notation. Multiple attributes sharing the same parent can be grouped together using parentheses.
Examples:
|
Optional parameters | Description |
|---|---|
| The position from which result distances are calculated, populating the |
| Geopolitical view. The context used to resolve the handling of addressing schemes in disputed territories.
The default and available values depend on the country where the request is made in. If valid value but non available one is used the 403 error is raised. Possible values and defaults(per request-origin country) are as follows:
When not specified, the appropriate geopolitical view is applied based on the origin location of the request. |
| A unique identifier that must be a 36-character hyphenated UUID (v4 or v7) in the format |
| A unique identifier for tracking the request across services. The client should provide a globally unique value, preferably a UUID (v4 or v7). While any string format is accepted, the tracking ID must be unique to enable effective request tracing and correlation in logs. |
| Sequence of preferred response IETF BCP 47 language tags compliant with RFC 7231 (section 5.3.5). |
| The standard HTTP Accept header indicating the media type(s) the client is able to understand. HTTP reference |
Response data
Response body - JSON
See the response body example and the response field documentation below for more information.
1{2 "type": "poi",3 "more": {4 "operation": "details",5 "requestBody": null,6 "poiTypes": [7 "charging_location"8 ],9 "origin": {10 "type": "point",11 "coordinates": [12 0.0098,13 51.493414 ]15 },16 "pathParameters": [17 {18 "parameter": "type",19 "argument": "pois"20 },21 {22 "parameter": "id",23 "argument": "qv3FAP2e0GnYgS-KeAgciA"24 }25 ],26 "queryParameters": {27 "origin": "1.0098,53.4934"28 }29 },30 "id": "qv3FAP2e0GnYgS-KeAgciA",31 "address": {32 "country": "Germany",33 "countryCodeIso2": "DE",34 "countrySubdivision": "Berlin",35 "countrySubdivisionCodeIso": "DE-BE",36 "postalCode": "10715",37 "municipality": "Berlin",38 "municipalitySubdivision": "Wilmersdorf",39 "street": "Mainzer Straße",40 "houseNumber": "8"41 },42 "title": "Dalbhat",43 "subtitles": [44 "Mainzer Straße 8, 10715 Berlin-Wilmersdorf"45 ],46 "distanceInMeters": 4321,47 "position": {48 "type": "Point",49 "coordinates": [50 0.0098,51 51.493452 ]53 },54 "timeZones": {55 "ianaId": "Europe/Berlin",56 "currentUTCOffsetSeconds": 720057 },58 "poiTypes": [59 {60 "id": "indian_restaurant",61 "name": "Indian Restaurant"62 },63 {64 "id": "nepalese_restaurant",65 "name": "Nepalese Restaurant"66 }67 ],68 "accessPoints": [69 {70 "position": {71 "type": "Point",72 "coordinates": [73 0.0098,74 51.493475 ]76 }77 }78 ],79 "openingHours": [80 {81 "date": "2025-06-06",82 "timeRanges": [83 {84 "start": "11:00",85 "end": "23:00",86 "utcOffsetSeconds": 720087 }88 ]89 }90 ],91 "chargingLocation": {92 "chargingStations": [93 {94 "id": "67335c40-4e72-11e8-8f53-42010a840002",95 "chargingPoints": [96 {97 "capabilities": [98 "RemoteStartStopCapable",99 "RfidReader"100 ],101 "connectors": [102 {103 "id": "1",104 "currentInAmperes": 16,105 "currentType": "AC3",106 "ratedPowerInKilowatts": 11,107 "type": "IEC62196Type2Outlet",108 "voltageInVolts": 230109 },110 {111 "id": "2",112 "currentInAmperes": 16,113 "currentType": "AC3",114 "ratedPowerInKilowatts": 11,115 "type": "IEC62196Type2Outlet",116 "voltageInVolts": 230117 }118 ],119 "evseId": "NL-GFX-EEVB-P1552388-1",120 "physicalReference": "1552388",121 "status": "Occupied"122 },123 {124 "capabilities": [125 "RemoteStartStopCapable",126 "RfidReader"127 ],128 "connectors": [129 {130 "id": "2",131 "currentInAmperes": 16,132 "currentType": "AC3",133 "ratedPowerInKilowatts": 11,134 "type": "IEC62196Type2Outlet",135 "voltageInVolts": 230136 }137 ],138 "evseId": "NL-GFX-EEVB-P1552388-2",139 "physicalReference": "1552388",140 "status": "Available"141 }142 ]143 }144 ]145 }146}
Response fields
The following table describes all of the fields that can appear in a response.
Field | Description |
|---|---|
| Unique identifier of the result. |
| Type of the result. |
| Localized display title for the result. |
| An ordered list of localized text lines that help to understand the result, such as providing additional information or display a colloquial, region-specific address. |
| Distance of the result from the origin in meters. |
| Position of the location. GeoJSON Point restricted to 2D coordinates (Longitude, Latitude). Contains |
| Follow-up request information. Contains |
address object | |
| Field | Description |
| Country name. |
| ISO 3166-1 alpha-2 country code. |
| State or province. |
| ISO 3166-2 country subdivision code. |
| County. |
| Named area. |
| City or town. |
| Subdivision of a city. |
| Smaller subdivision of a city. |
| Neighborhood. |
| Postal code (ZIP code). |
| An address component which represents the name for a postal code that is related to a single administrative area, city, town, or other populated place. |
| Extended postal code (availability dependent on region). |
| Name of the street. |
| The building number on the street. |
timeZones array | |
| Field | Description |
| IANA timezone identifier. |
| Current UTC offset in seconds, takes into account daylight saving time if applicable. |
accessPoints array | |
| Field | Description |
| GeoJSON Point position of the access point. Contains |
poi result (Place of Interest) | |
| Field | Description |
| Types of places of interest associated with this place of interest. Each object contains |
| Brands associated with this place of interest. Each object contains |
| The opening hours for specific dates. The date is in the local time of the place. Each object contains |
| Contact information. Each object contains |
| Additional details about the place of interest curated from various sources. Contains |
| Places of interest related to the requested location. Each object contains |
chargingLocation object (for EV charging POIs) | |
| Field | Description |
| Array of charging station objects. Each contains |
Response codes
The following table contains response codes sent back from an API server.
Code | Meaning & possible causes |
|---|---|
| OK: Details of one place or location. |
| Bad Request: The request was invalid. |
| Forbidden: The API Key is missing, inactive, invalid, not entitled to use this API, or the geopolitical view is not available for the request origin. |
| Not Found: The requested resource could not be found. |
| Too Many Requests: The API Key is over QPS (Queries per second). |
| Server Error: The service was unable to process your request. Contact support to resolve the issue. |
Response headers
The following data table contains response headers sent back from an API server.
Header | Description |
|---|---|
Session-Id | A unique identifier that must be a 36-character hyphenated UUID (v4 or v7) in the format |
Tracking-Id | A unique identifier for tracking the request across services. If the client provided a Tracking-Id in the request header, this value is echoed back. If not provided, TomTom systems will generate a tracking identifier automatically. This identifier enables effective request tracing and correlation in logs. |
Indicates the format of the response as chosen by the client. | |
The HTTP Content-Language representation header is used to describe the language(s) intended for the audience. |
Error response
When an error occurs, the response contains detailed error information.
1{2 "detailedError": {3 "code": "string",4 "message": "string",5 "target": "string",6 "details": [7 {8 "code": "string",9 "message": "string",10 "target": "string"11 }12 ],13 "innerError": {14 "code": "string",15 "innerError": {}16 }17 }18}
Field | Description |
|---|---|
detailedError object | |
| Field | Description |
| A unique identifier for this particular occurrence of the problem that SHOULD be human-readable. |
| It is intended as an aid to developers and is not suitable for exposure to end users. Do not build logic on the content of this field and rely on the |
| The target of the error (e.g., the name of the property in error). |
| Additional details about the error. |
| The contents of this object are service-defined. Each nested |